Bug 91818 - Amanda cannot connect to clients and will do a DoS attack
Amanda cannot connect to clients and will do a DoS attack
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: amanda (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-28 12:43 EDT by flu1d
Modified: 2014-08-31 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:53:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description flu1d 2003-05-28 12:43:05 EDT
Description of problem:


Version-Release number of selected component (if applicable): amanda-2.4.3-4


How reproducible: Depends on system


Steps to Reproduce:
1. Attempt to do a amdump or amcheck on a client that will not allow Amanda to 
connect
    
Actual results: 
Syslog will print this message: 
                 xinetd[6796]: libwrap refused connection to amanda from (ip)
Securelog will print this meessage:
                 xinetd[657]: START: amanda pid=5912 from=(ip)
                 xinetd[5912]: FAIL: amanda libwrap from=(ip)
about every second until xinetd is restarted or the systems memory is 
completely full and the system crashes.  Another thing noticed is that once 
this starts a second instance of xinetd will start up under amanda:

amanda    9357  5928  0 10:26 ?        00:00:00 xinetd -stayalive -reuse -
pidfile /var/run/xinetd.pid

which is identical to the main process spawned by root.
when doing a amcheck from the server the only error message given is:

Amanda Backup Client Hosts Check
--------------------------------
WARNING: mail: selfcheck request timed out.  Host down?
Client check: 3 hosts checked in 29.985 seconds, 1 problem found

Here is a copy of my amandahosts file:

localhost                       amanda
localhost.localdomain           amanda
liquid                          amanda

I have set this up identically (except for the disklist of course) on one other 
client and am able to connect from the server and do amdumps.  The same 
messages appears in syslog and securelog many times but will stop once the 
check/backup is finished.

Expected results:
1. For amanda to connect, I am only running the client on this box and have set 
up .amandahosts properly with the correct permissions.

2. For amanda to not DoS the system when it is unable to connect.

Additional info:
Comment 1 flu1d 2003-05-28 14:13:53 EDT
woops the error messages are not appearing on the other client that works, just 
many entries in the secure log.  Also I forgot to mention that I do not have 
any firewalling set up on this network layer.
Comment 2 Jay Fenlason 2003-05-28 14:55:21 EDT
This sounds like an xinetd (or libwrap) problem rather than an amanda problem. 
What version of xinetd are you running, and what's in your
/etc/hosts.{allow,deny} files?
Comment 3 flu1d 2003-05-28 15:16:58 EDT
I suspected a xinetd issue but I've only seen this problem so far with amanda 
so I thought I'd start from there.  You were right about the hosts.allow entry, 
I did have to add an entry to allow ALL:(ip) under hosts.allow rather than 
amanda:(ip) so now I am able to connect to the client, I guess I will have to 
find out what other ports I will need open for this to work later but the DoS 
attack issue can still be a problem if someone wanted to be evil on a similar 
setup.  The version I reported this bug with first is: xinetd-2.3.10-6 but have 
upgraded to xinetd-2.3.11-1.9.0 (just upgraded server and haven't patched yet) 
to verify the DoS possibility is still there which it is.
Comment 4 Konstantin Olchanski 2005-10-22 19:29:41 EDT
Metoo, but it seems to be very rare. A user came in a few weeks ago complaining
about a flood of amanda connections. Looking at the amanda machine: nothing
running, looking at his machine: xinetd is flooding the system log with
complaints about amanda trying to connect. tcpdump shows no traffic between his
machine and the amanda machine. Restarted xinetd, problem gone. K.O.
Comment 5 Bill Nottingham 2006-08-05 00:14:17 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 7 Bill Nottingham 2007-01-02 13:53:08 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.